---
- name: Restart webserver
  ansible.builtin.service: name={{ apache_svc }} state=restarted
  when: not (ansible_virtualization_type is defined and ansible_virtualization_type == "docker")

- name: Restart webserver - docker,debian
  ansible.builtin.command: "{{ item }}"
  with_items:
    - killall apache2
    - /usr/sbin/apache2 -k start
  environment:
    APACHE_RUN_USER: www-data
    APACHE_RUN_GROUP: www-data
    APACHE_PID_FILE: /var/run/apache2/apache2.pid
    APACHE_RUN_DIR: /var/run/apache2
    APACHE_LOCK_DIR: /var/lock/apache2
    APACHE_LOG_DIR: /var/log/apache2
    LANG: C
  when:
    - (ansible_virtualization_type is defined and ansible_virtualization_type == "docker")
    - ansible_os_family == "Debian"

- name: Restart webserver - docker,redhat
  ansible.builtin.command: "{{ item }}"
  with_items:
    - pkill httpd
    - /usr/sbin/httpd -k start
  when:
    - (ansible_virtualization_type is defined and ansible_virtualization_type == "docker")
    - ansible_os_family == "RedHat"

- name: Restart php-fpm
  ansible.builtin.service: name=php-fpm state=restarted

- name: Restart rng-tools
  ansible.builtin.service: name=rng-tools state=restarted

- name: Updating existing MISP submodules - minor releases
  ansible.builtin.command: "git submodule update --init --force"  # noqa command-instead-of-module
  args:
    chdir: "{{ misp_rootdir }}"
